FROM golang:alpine AS builder
RUN apk update && apk add --no-cache git
COPY p5-conddb /p5-conddb
WORKDIR /p5-conddb
RUN CGO_ENABLED=0 GOOS=linux GOARCH=amd64 go build -ldflags="-w -s" -o /bin/p5-conddb ./cmd/p5-conddb.go

FROM cern/cc7-base:20200715-1.x86_64
COPY --from=builder /bin/p5-conddb /bin/p5-conddb

CMD [ "/bin/p5-conddb" ]
